<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".view.fragment.MaterialInspectionTableFragment">

    <com.grkj.iscs_mc.view.widget.TitleBar
        android:id="@+id/tb"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:bar_icon="@mipmap/material_inspection_plan"
        app:bar_title="@string/material_inspection_table" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true">

        <com.grkj.iscs_mc.view.widget.CommonBtn
            android:id="@+id/cb_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:btn_bg="@drawable/common_btn_blue_bg"
            app:btn_name="@string/back"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.grkj.iscs_mc.view.widget.CommonBtn
            android:id="@+id/cb_save"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginRight="@dimen/common_spacing"
            app:btn_bg="@drawable/common_btn_red_bg"
            app:btn_name="@string/save"
            app:layout_constraintRight_toLeftOf="@id/cb_back"
            app:layout_constraintTop_toTopOf="parent" />

        <com.grkj.iscs_mc.view.widget.CommonBtn
            android:id="@+id/cb_auto"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginRight="@dimen/common_spacing"
            app:btn_bg="@drawable/common_btn_yellow_bg"
            app:btn_name="@string/auto_inspection_all"
            app:layout_constraintRight_toLeftOf="@id/cb_save"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_status"
            style="@style/CommonTextView"
            android:text="@string/inspection_status"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@id/cl_bar"
        android:layout_below="@id/tb"
        android:layout_marginVertical="@dimen/common_spacing"
        android:orientation="horizontal">

        <com.google.android.material.card.MaterialCardView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1111"
            app:cardBackgroundColor="@color/common_bg_white_10"
            app:cardCornerRadius="@dimen/common_radius"
            app:cardElevation="0dp"
            app:strokeColor="@color/common_transparent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/common_bg_white_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/CommonTextView"
                        android:layout_width="0dp"
                        android:layout_weight="3"
                        android:paddingVertical="@dimen/common_spacing"
                        android:text="@string/number" />

                    <View
                        android:layout_width="@dimen/divider_line_width"
                        android:layout_height="match_parent"
                        android:background="@color/main_color" />

                    <TextView
                        style="@style/CommonTextView"
                        android:layout_width="0dp"
                        android:layout_weight="4"
                        android:paddingVertical="@dimen/common_spacing"
                        android:text="@string/material_type" />

                    <View
                        android:layout_width="@dimen/divider_line_width"
                        android:layout_height="match_parent"
                        android:background="@color/main_color" />

                    <TextView
                        style="@style/CommonTextView"
                        android:layout_width="0dp"
                        android:layout_weight="4"
                        android:paddingVertical="@dimen/common_spacing"
                        android:text="@string/material_name" />

                    <View
                        android:layout_width="@dimen/divider_line_width"
                        android:layout_height="match_parent"
                        android:background="@color/main_color" />

                    <TextView
                        style="@style/CommonTextView"
                        android:layout_width="0dp"
                        android:layout_weight="5"
                        android:paddingVertical="@dimen/common_spacing"
                        android:text="@string/rfid" />

                    <View
                        android:layout_width="@dimen/divider_line_width"
                        android:layout_height="match_parent"
                        android:background="@color/main_color" />

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2">

                        <ImageView
                            android:layout_width="@dimen/common_icon_size"
                            android:layout_height="@dimen/common_icon_size"
                            android:layout_centerInParent="true"
                            android:src="@mipmap/ok_normal" />
                    </RelativeLayout>

                    <View
                        android:layout_width="@dimen/divider_line_width"
                        android:layout_height="match_parent"
                        android:background="@color/main_color" />

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2">

                        <ImageView
                            android:layout_width="@dimen/common_icon_size"
                            android:layout_height="@dimen/common_icon_size"
                            android:layout_centerInParent="true"
                            android:src="@mipmap/expired_normal" />
                    </RelativeLayout>

                    <View
                        android:layout_width="@dimen/divider_line_width"
                        android:layout_height="match_parent"
                        android:background="@color/main_color" />

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2">

                        <ImageView
                            android:layout_width="@dimen/common_icon_size"
                            android:layout_height="@dimen/common_icon_size"
                            android:layout_centerInParent="true"
                            android:src="@mipmap/damaged_normal" />
                    </RelativeLayout>

                    <View
                        android:layout_width="@dimen/divider_line_width"
                        android:layout_height="match_parent"
                        android:background="@color/main_color" />

                    <TextView
                        style="@style/CommonTextView"
                        android:layout_width="0dp"
                        android:layout_weight="5"
                        android:paddingVertical="@dimen/common_spacing"
                        android:text="@string/method" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/divider_line_width"
                    android:background="@color/main_color" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_material"
                    style="@style/CommonRecyclerView"
                    android:scrollbars="vertical" />
            </LinearLayout>
        </com.google.android.material.card.MaterialCardView>

        <com.google.android.material.card.MaterialCardView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/common_spacing"
            android:layout_weight="398"
            app:cardBackgroundColor="@color/common_bg_white_10"
            app:cardCornerRadius="@dimen/common_radius"
            app:cardElevation="0dp"
            app:strokeColor="@color/common_transparent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <TextView
                    style="@style/CommonTextView"
                    android:layout_width="match_parent"
                    android:background="@color/common_bg_white_10"
                    android:paddingVertical="@dimen/common_spacing"
                    android:text="@string/inspection_standard" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/divider_line_width"
                    android:background="@color/main_color" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_standard"
                    style="@style/CommonRecyclerView"
                    android:scrollbars="vertical" />

            </LinearLayout>
        </com.google.android.material.card.MaterialCardView>
    </LinearLayout>
</RelativeLayout>